import 'package:flutter/material.dart';
import 'package:test_sa/extensions/context_extension.dart';
import 'package:test_sa/extensions/widget_extensions.dart';
import 'package:test_sa/models/enums/translation_keys.dart';

import '../common_widgets/app_filled_button.dart';
import '../common_widgets/default_app_bar.dart';

class NewServiceRequestPage extends StatelessWidget {
  static const String routeName = "/new_service_request_page";
  const NewServiceRequestPage({Key key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar:  DefaultAppBar(title: context.translation.newServiceRequest),
      body: Column(
        children: [
          SingleChildScrollView(
            child: Column(children: []),
          ).expanded,
          AppFilledButton(label: context.translation.submitRequest, maxWidth: true, onPressed: () {})
        ],
      ).paddingOnly(left: 16, right: 16, bottom: 24),
    );
  }
}
